curl -i -X POST \
https://developer.zuora.com/_mock/v1-api-reference/api/commerce/products \
-H 'Accept-Encoding: string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Encoding: string' \
-H 'Content-Type: application/json' \
-H 'Idempotency-Key: string' \
-H 'Zuora-Entity-Ids: string' \
-H 'Zuora-Org-Ids: string' \
-H 'Zuora-Track-Id: string' \
-d '{
"name": "New prod",
"start_date": "2024-01-01",
"end_date": "2050-12-31",
"category": "base",
"plans": [
{
"name": "Consumer Bronze Monthly",
"start_date": "2024-01-01",
"end_date": "2050-12-31",
"active_currencies": [
"USD"
],
"charges": [
{
"name": "Flat PRPC",
"charge_type": "recurring",
"charge_model": "flat_fee",
"default_quantity": 10,
"min_quantity": 1,
"max_quantity": 999999,
"price_increase_percentage": 0,
"price_change_option": "no_change",
"use_tenant_default_for_price_change": true,
"discount_options": {
"discount_class": "",
"discount_level": "rate_plan",
"stacked_discount": false,
"apply_to": [
"one_time",
"recurring",
"usage"
],
"apply_to_billing_period_partially": false,
"reflect_discount_in_net_amount": false,
"rollover": false,
"specific_accounting_codes": false,
"apply_details": []
},
"pricing": {
"flat_amounts": {
"USD": 100
}
},
"bill_cycle": {
"type": "specific_day_of_month",
"day_of_month": 5,
"period_alignment": "align_to_charge",
"period": "bill_cycle_period_month",
"timing": "in_advance"
},
"trigger_event": "contract_effective",
"end_date_condition": "subscription_end",
"up_to_periods_type": "billing_periods",
"up_to_periods": 0,
"list_price_base": "Per_Billing_Period",
"specific_list_price_base": 0,
"accounting": {
"accounting_code": "PRPC-REV-002",
"accounts_receivable_account": "Accounts Receivable",
"deferred_revenue_account": "Deferred Revenue",
"recognized_revenue_account": "Recognized Revenue",
"adjustment_liability_account": "adjustL-2",
"adjustment_revenue_account": "adjustRev-2",
"contract_asset_account": "CA-3",
"contract_liability_account": "CL-3",
"contract_recognized_revenue_account": "Contract Recognized Revenue",
"unbilled_receivables_account": "unbilledR-2"
}
}
]
}
]
}'